import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

mpg = sns.load_dataset("mpg")
mpg_mod = mpg[mpg["origin"] != "japan"]

plt.figure(figsize=(10, 5))
plt.subplot(121)
sns.boxplot(x="origin", y="mpg", data=mpg_mod)
plt.subplot(122)
sns.violinplot(x="origin", y="mpg", data=mpg_mod)

plt.show()
